| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Macros | Typedefs | Enumerations | Functions
uuid_sha1.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <stdint.h>`
`#include "uuid_sha1.h"`
Include dependency graph for uuid_sha1.c:

## Classes
struct | SHA1Context
struct | sha1_st

## Macros
#define | SHA1HashSize 20
#define | SHA1CircularShift(bits, word) (((word) << (bits)) | ((word) >> (32-(bits))))

## Typedefs
typedef struct SHA1Context | SHA1Context

## Enumerations
enum | { shaSuccess = 0 , shaNull , shaStateError }

## Functions
sha1_rc_t | sha1_create (sha1_t **sha1)
sha1_rc_t | sha1_init (sha1_t *sha1)
sha1_rc_t | sha1_update (sha1_t *sha1, const void *data_ptr, size_t data_len)
sha1_rc_t | sha1_store (sha1_t *sha1, void **data_ptr, size_t *data_len)
sha1_rc_t | sha1_format (sha1_t *sha1, char **data_ptr, size_t *data_len)
sha1_rc_t | sha1_destroy (sha1_t *sha1)

## Macro Definition Documentation

## ◆ SHA1CircularShift

#define SHA1CircularShift | ( |  | bits,
|  |  | word
| ) |  | (((word) << (bits)) | ((word) >> (32-(bits))))

## ◆ SHA1HashSize

#define SHA1HashSize 20

## Typedef Documentation

## ◆ SHA1Context

typedef struct SHA1Context SHA1Context

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
shaSuccess |
shaNull |
shaStateError |

## Function Documentation

## ◆ sha1_create()

sha1_rc_t sha1_create | ( | sha1_t ** | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_destroy()

sha1_rc_t sha1_destroy | ( | sha1_t * | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_format()

sha1_rc_t sha1_format | ( | sha1_t * | sha1,
|  | char ** | data_ptr,
|  | size_t * | data_len
| ) |  |

Here is the call graph for this function:

## ◆ sha1_init()

sha1_rc_t sha1_init | ( | sha1_t * | sha1 | ) |

Here is the call graph for this function:

## ◆ sha1_store()

sha1_rc_t sha1_store | ( | sha1_t * | sha1,
|  | void ** | data_ptr,
|  | size_t * | data_len
| ) |  |

Here is the call graph for this function:

## ◆ sha1_update()

sha1_rc_t sha1_update | ( | sha1_t * | sha1,
|  | const void * | data_ptr,
|  | size_t | data_len
| ) |  |

Here is the call graph for this function: